library(ggplot2)
library(scales)

#faili sisselugemine ja andmete formaadi korrigeerimine
J225=read.csv2("PT2-T2.2-J2.2.5.csv",header=TRUE, encoding ="UTF-8")
J225$OR=as.numeric(J225$OR)
J225$CI.upper=as.numeric(J225$CI.upper)
J225$CI.lower=as.numeric(J225$CI.lower)
J225$Väärtus=as.factor(J225$Väärtus)
J225$Tunnus=as.factor(J225$Tunnus)
J225$Tunnus=factor(J225$Tunnus,levels(J225$Tunnus)[order(c(1,8,5,4,2,7,3,9,6))])
J225$Väärtus=factor(J225$Väärtus,levels(J225$Väärtus)[order(c(2,1,3,9,13,6,7,8,4,10,11,12,5))])

#joonis
ggplot(J225)+
  geom_point(aes(x=Väärtus,y=OR,col=Sugu),cex=3)+
  geom_errorbar(aes(x=Väärtus,ymin=CI.lower,ymax=CI.upper,col=Sugu),width=0.3, linewidth=0.8)+
  geom_abline(aes(slope=0,intercept=1))+
  scale_y_continuous(breaks=c(1,2,3,4,5,6,7,8))+
  facet_grid(Tunnus~Sugu,scales="free_y")+
  theme_light()+
  theme(legend.position = "none")+
  coord_flip()+
  xlab("")+
  ylab("Šansisuhe (OR)")+
  theme(strip.text.y = element_text(angle = 360,color="#668080"),strip.text.x=element_text(color="#668080"),strip.background =element_rect(fill="white"))+
  scale_color_manual(values=c("#6666cc","#FF3600"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))

  

  
  






